Search Results for

Show / Hide Table of Contents

# Class ComputedLayout

This Scenario demonstrates how to use Termina.gui's Dim and Pos Layout System. [x] - Using Dim.Fill to fill a window [x] - Using Dim.Fill and Dim.Pos to automatically align controls based on an initial control [ ] - ...

##### Inheritance

System.Object
Scenario
ComputedLayout

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Top
Scenario.Win
Scenario.Init(Toplevel, ColorScheme)
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose(Boolean)
Scenario.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("Computed Layout", "Demonstrates the Computed (Dim and Pos) Layout System.")]
    [Scenario.ScenarioCategory("Layout")]
    public class ComputedLayout : Scenario, IDisposable

### Methods

#### Run()

##### Declaration

    public override void Run()

##### Overrides

Scenario.Run()

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable